Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227064 - Review Request: jakarta-commons-io-1.2-2jpp - Commons IO Package
Summary: Review Request: jakarta-commons-io-1.2-2jpp - Commons IO Package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:38 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 21:48:47 UTC
viveklak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:38:41 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jakarta-commons-io-1.2-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jakarta-commons-io-1.2-2jpp.src.rpm
Description: Commons-IO contains utility classes, stream implementations,
file filters, and endian classes.

Javadoc for jakarta-commons-io

Comment 1 Vivek Lakshmanan 2007-02-13 00:06:05 UTC
X suggests the subsection needs attention
+ is a positive comment
. is a specific comment about a problem

MUST:
X* package is named appropriately
 . 0:1.2-2jpp -> 0:1.2-2jpp.1%{?dist}
 . http://fedoraproject.org/wiki/PackagingDrafts/ExceptionJPackage
 - match upstream tarball or project name
   + The project is commons-io upstream (Apache) but since JPackage is
     consistent with the jakarta-commons packages, this is fine IMO

 - try to match previous incarnations in other distributions/packagers for
consistency
   + OK
 - specfile should be %{name}.spec
   + OK
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
   + OK
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
   + OK
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
   + N/A

* is it legal for Fedora to distribute this?
 - OSI-approved
   + ASL

 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
  + None of the above apply

* license field matches the actual license.
   + OK
* license is open source-compatible.
 - use acronyms for licences where common
   + OK
* specfile name matches %{name}
   + OK
* verify source and patches (md5sum matches upstream, know what the patches do)
   + OK
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
   + N/A
* skim the summary and description for typos, etc.
   + OK
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
   + OK
X* if %{?dist} is used, it should be in that form (note the ? and %
locations)
   - Fix this based on the link mentioned above

* license text included in package and marked with %doc
   + OK

* keep old changelog entries; use judgement when removing (too old?
useless?)
  + N/A

* packages meets FHS (http://www.pathname.com/fhs/)
  + OK

X* rpmlint on <this package>.srpm and rpms gives no output
 - justify warnings if you think they shouldn't be there
W: jakarta-commons-io non-standard-group Development/Libraries/Java
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

W: jakarta-commons-io-javadoc non-standard-group Development/Documentation
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

XW: jakarta-commons-io-javadoc dangerous-command-in-%post rm
W: jakarta-commons-io-javadoc dangerous-command-in-%postun rm
. You can get rid of these warnings by implementing javadoc handling as
  described in the following URL (since no %post/%postun is required):
  https://zarb.org/pipermail/jpackage-discuss/2007-February/011119.html 

W: jakarta-commons-io non-standard-group Development/Libraries/Java
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
. Group warnings can be ignored in all  cases.

W: jakarta-commons-io mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line
52)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
. Use :set expandtab and :%retab in vim to get rid of these 
 
* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.
  + OK

* Packager tag should not be used
  + OK
X* Vendor and distribution tag should not be used
  . Please remove these

* use License and not Copyright 
  + OK
* Summary tag should not end in a period
  + OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
  + OK
X * specfile is legible
 - this is largely subjective; use your judgement
  . Minor fixes in formatting if possible (<80 character lines etc.)
* package successfully compiles and builds on at least x86
  + Builds on mock

* BuildRequires are proper
  + Builds on mock
* summary should be a short and concise description of the package
  + OK
* description expands upon summary (don't include installation
instructions)
  + OK
X * make sure lines are <= 80 characters
* specfile written in American English
  + OK
X* make a -doc sub-package if necessary
  . Javadoc package should be changed to implement the new standard from 
    JPackage, see link mentioned above
  . Add Requires(x) on /bin/rm, /bin/ln etc. as appropriate
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
  + None of these apply
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
  + OK
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
  + None of these apply
X* consider using cp -p to preserve timestamps
  . Use cp -p and install -p where possible

* split Requires(pre,post) into two separate lines
  + N/A

* package should probably not be relocatable
  + Non-relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
  + OK

X* package should own all directories and files
  . Need %{_javadocdir}/%{_javadir} which are owned by jpackage-utils
    Should add Requires(pre/postun) on jpackage-utils in javadoc package and
    main package

* there should be no %files duplicates
  + OK
* file permissions should be okay; %defattrs should be present
  + OK
* %clean should be present
  + OK
* %doc files should not affect runtime
  + OK
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
  + Not a webapp
* verify the final provides and requires of the binary RPMs
  + OK, as long as the suggestions about naming and requires etc. are
    implemented
rpm -qp --provides ../RPMS/noarch/jakarta-commons-io-*
jakarta-commons-io = 0:1.2-2jpp
jakarta-commons-io-javadoc = 0:1.2-2jpp
rpm -qp --requires ../RPMS/noarch/jakarta-commons-io-*
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
/bin/sh  
/bin/sh  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

SHOULD:
* package should include license text in the package and mark it with %doc
  + OK
* package should build on i386
  + OK, builds mock
* package should build in mock
  + OK


Comment 2 Vivek Lakshmanan 2007-02-13 00:07:28 UTC
Spec needs to be decorated for aot compilation


Comment 3 Deepak Bhole 2007-02-13 15:59:38 UTC
Fixed spec and srpm are here:

http://people.redhat.com/dbhole/fedora/jakarta-commons-io/

- Release tag was updated
- Development/Libraries/Java is okay for the group because this is a library
- Only line >80 chars now is a url, which I didn't want to breakdown
- Javadoc package/ownerships for it fixed

Comment 4 Vivek Lakshmanan 2007-02-15 02:10:06 UTC
Everything seems to be in ordered. Spec isnt decorated for AOT compilation but
this can be done later. APPROVED.

Reassigning to pcheung, the package owner for building into rawhide. The bug
will be closed once the package reaches mirrors...

Comment 5 Permaine Cheung 2007-03-05 16:58:42 UTC
New Package CVS Request
=======================
Package Name:  jakarta-commons-io
Short Description: Utilities to assist with developing IO functionality
Owners: pcheung@redhat.com
Branches: 
InitialCC: 

Comment 6 Permaine Cheung 2007-03-12 21:48:47 UTC
Package built into plague. Closing as NEXTRELEASE.

Comment 7 Ruediger Landmann 2010-08-04 17:25:56 UTC
Package Change Request
=======================
Package Name: jakarta-commons-io
New Branches: el5
Owners: rlandmann
InitialCC: 

I have discussed this change with Permaine Cheung, the package owner, and she is happy for me to maintain this branch.

Comment 8 Kevin Fenzi 2010-08-05 16:58:20 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.